<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');

$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
//echo("Operador: $nomeOperador idlabo=$idLabo<br>");

switch ($tela):

    case 'incluir':
        echo '<h2>Cadastro de amostradores</h2>';
        if (post('cadastrar') !== ""):
            $user = new amostradores(array(
                'amt_nome'=>post('nome'),
                'amt_apelido'=>post('apelido'),
                'amt_cpf'=>post('cpf'),
                'amt_renasem'=>post('renasem'),
                'amt_lab'=>$idLabo,
            ));
			
            //if ($user->existeRegistro('amt_nome',post('nome'))):
            //    printMSG('Este nome já está cadastrado, escolha outro nome de amostrador.','erro');
            //    $duplicado = TRUE;
            //endif;
            //verifica se tem este amostrador
			$novoAmostrador=post('nome');
			//$user = new amostradores();
			$user->extras_select = "WHERE amt_nome='".$novoAmostrador."' and amt_lab=".$idLabo;
            $user->selecionaTudo($user);
			while ($res = $user->retornaDados()):
               //printf('<td>%s',$res->amt_nome);
               $duplicado=TRUE;
               printMSG('Este nome já está cadastrado, escolha outro nome de amostrador.','erro');
            endwhile;         
            if ($duplicado!=TRUE):
                $user->inserir($user);
				$jaco=$user->linhasafetadas;
			    echo("duplicado= $duplicado jaco=$jaco<br>");
				
                if ($user->linhasafetadas>0):
                    printMSG('Dados inseridos com sucesso. <a href="'.ADMURL.'?m=amostradores&t=listar">Exibir cadastros</a>');
                    unset($_POST);
                endif;
            endif;            
        endif;
        ?>
        <script type="text/javascript">
           $(document).ready(function(){
               $(".userform").validate({
                   rules:{
                       nome:{required:true, minlength:3},
                       endereco:{required:true, minlength:5},
                   }
               });
           });
       </script>
        <form class="userform" method="post" action="">
            <fieldset>
                <legend>Informe os dados para cadastro</legend>
                <table>
				<tr>
                <td>Nome:</td>
	            <td><input type="text" size="50" name="nome"  maxlength="60"  autofocus="autofocus" value="<?php echo post('nome') ?>" /><td>
                <td>Apelido</td> 
	            <td><input type="text" size="20" name="apelido"  maxlength="15"  value="<?php echo post('apelido') ?>" /><td>
				</tr>
				<tr>
                <td>CPF/CNPJ:</td>
	            <td><input type="text" size="20" name="cpf"  maxlength="20"  value="<?php echo post('cpf') ?>" /><td>
                <td>RENASEM:</td> 
	            <td><input type="text" size="20" name="renasem"  maxlength="20"  value="<?php echo post('renasem') ?>" /><td>
				</tr>
				<tr>
                <td>Endereço:</td>
	            <td><input type="text" size="50" name="endereco"  maxlength="60"  value="<?php echo post('endereco') ?>" /><td>
                <td>Telefone:</td> 
	            <td><input type="text" size="20" name="telefone"  maxlength="20"  value="<?php echo post('telefone') ?>" /><td>
				</tr>
				<tr>
                <td>Município:</td>
	            <td><input type="text" size="50" name="municipio"  maxlength="60"  value="<?php echo post('municipio') ?>" /><td>
                <td>UF:</td> 
	            <td><input type="text" size="20" name="uf"  maxlength="2"  value="<?php echo post('uf') ?>" /><td>
				</tr>
				<tr>
                <td>Cep:</td>
	            <td><input type="text" size="20" name="cep"  maxlength="9"  value="<?php echo post('cep') ?>" /><td>
                <td>e-mail:</td> 
	            <td><input type="text" size="20" name="email"   maxlength="60"   value="<?php echo post('email') ?>" /><td>
				</tr>
				</table>  
				<ul>
                    <li class="center"><input type="button" onclick="location.href='?m=amostradores&t=listar'" value="Cancelar" />
					<input type="submit" name="cadastrar" value="Salvar dados" /></li>
				
				</ul>  
            </fieldset>
        </form>
        <?php
        break;

    case 'excluir':
        echo '<h2>Excluir amostradores</h2>';
        $amt_id = get('amt_id');
		echo("codigo do amostrador: amt_id=$amt_id<br>");
		//vai testar se este remetente esta nalguma amostra
		$generica=new tabelagenerica();
		$generica->tabela="ficha";
		$generica->campos_valores = array(
		    "fic_amostra" => NULL,
		    "fic_amostra_previa" => NULL,
		);
		$generica->extras_select =" where fic_labo=".$idLabo." and fic_amostrador=".$amt_id;
		$generica->selecionaCampos($generica);
		$registros=0;
		while ($res = $generica->retornaDados()):
                $registros++;
		        $definitiva=$res->fic_amostra;
		        $previa=$res->fic_amostra_previa;
        endwhile;           
        if($registros==0):
            //aqui vai deletar		
		    $generica=new tabelagenerica();
			$sql = "delete from amostrador where amt_id=".$amt_id ;
			$generica->grava_registro_com_retorno($sql);
			printMSG('Deletou este amostrador. <a href="?m=amostradores&t=listar">Exibir cadastros</a>','alerta');
		else:
            //aqui achou e nao vai deletar 		
		    echo("amostra previa= $previa amostra definitiva= $definitiva<br>");
			printMSG('Não pode deletar este amostrador, pois ele esta em uma ou mais amostras. <a href="?m=amostradores&t=listar">Exibir cadastros</a>','alerta');
		endif;        
    break;//final do case excluir	
		
		
		
    //Vai listar OPERADOR		
    case 'listar':
        echo '<h2>Amostradores cadastrados(Obrigatório manter um amostrador -O-, SEMPRE)</h2>';
		echo("Na tela de cadastro de requerentes, tem como vincular requerente com amostrador, assim ao selecionar o requerente, vem o amostrador vinculado também.<br>");
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome</th><th>Endereco</th><th>Municipio</th><th>Cadastro</th><th>Cod</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new amostradores();
				$user->extras_select = "WHERE amt_lab=".$idLabo;

                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s',$res->amt_nome);
					printf('
					<a href="?m=amostradores&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a>
					<a href="?m=amostradores&t=excluir&amt_id=%s" title="Excluir"><img src="images/delete.png" alt="Excluir" /></a>
					<a href="?m=amostradores&t=editar&amt_id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a></td>',$res->amt_id,$res->amt_id);
                    printf('<td>%s</td>',$res->amt_endereco);
                    printf('<td>%s</td>',$res->amt_municipio);
                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->datacad))));
                    printf('<td>%s</td>',$res->amt_id);
                   
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
        
        <?php        
    break;

    case 'editar':
        echo '<h2>Edição de usuários</h2>';
        $sessao = new sessao();
            if (get('amt_id') !== ""):
                $amt_id = get('amt_id');
				//echo $amt_id;
				
				

                if (post('editar') !== ""):
                    $nomeLido=post('nome');//se a pessoa digitar -zero-  ou -o- ele converte para -O-
                    if($nomeLido=="-o-" || $nomeLido=="-0-")$nomeLido="-O-"; 				
                    $user = new amostradores(array(
                        'amt_nome'=>$nomeLido,
                        'amt_endereco'=>post('endereco'),
                        'amt_apelido'=>post('apelido'),
                        'amt_endereco'=>post('endereco'),
                        'amt_municipio'=>post('municipio'),
                        'amt_uf'=>post('uf'),
                        'amt_renasem'=>post('renasem'),
                        'amt_cpf'=>post('cpf'),
                        'amt_telefone'=>post('telefone'),
                        'amt_cep'=>post('cep'),
                        'amt_email'=>post('email'),
                        'amt_crea'=>post('crea'),
                    ));
          
                    $user->valorpk = $amt_id;
                    $user->extras_select = "WHERE   amt_id=$amt_id";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
                    
                    if ($duplicado!=TRUE):
                        $user->atualizar($user);
                        if ($user->linhasafetadas==1):
                            printMSG('Dados alterados com sucesso. <a href="?m=amostradores&t=listar">Exibir cadastros</a>');
                            unset($_POST);
                        else:
                            printMSG('Nenhum dado foi alterado. <a href="?m=amostradores&t=listar">Exibir cadastros</a>','alerta');
                        endif;
                    endif;                    
                endif;
                $userbd = new amostradores();
                $userbd->extras_select = "WHERE amt_id=$amt_id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('Usuário não definido, <a href="?m=amostradores&t=listar">escolha um usuário para alterar</a>','erro');
            endif;
            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           nome:{required:true, minlength:3},
                           endereco:{required:true, endereco:true},
                       }
                   });
               });
           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração</legend>
                <table>
				<tr>
                <td>Nome:</td>
	            <td><input type="text" size="50" name="nome"  maxlength="60"  autofocus="autofocus" value="<?php if($resbd) echo $resbd->amt_nome; ?>" /><td>
                <td>Apelido</td> 
	            <td><input type="text" size="20" name="apelido"  maxlength="15"  value="<?php if($resbd) echo $resbd->amt_apelido; ?>" /><td>
				</tr>
				<tr>
                <td>CPF/CNPJ:</td>
	            <td><input type="text" size="20" name="cpf"  maxlength="20"  value="<?php if($resbd) echo $resbd->amt_cpf; ?>" /><td>
                <td>RENASEM:</td> 
	            <td><input type="text" size="10" name="renasem"  maxlength="20"  value="<?php if($resbd) echo $resbd->amt_renasem; ?>" />
				CREA<input type="text" size="10" name="crea"  maxlength="20"  value="<?php if($resbd) echo $resbd->amt_crea; ?>" />
				<td>
				
				
				</tr>
				<tr>
                <td>Endereço:</td>
	            <td><input type="text" size="50" name="endereco"  maxlength="60"  value="<?php if($resbd) echo $resbd->amt_endereco; ?>" /><td>
                <td>Telefone:</td> 
	            <td><input type="text" size="20" name="telefone"  maxlength="20"  value="<?php if($resbd) echo $resbd->amt_telefone; ?>" /><td>
				</tr>
				<tr>
                <td>Município:</td>
	            <td><input type="text" size="50" name="municipio"  maxlength="60"  value="<?php if($resbd) echo $resbd->amt_municipio; ?>" /><td>
                <td>UF:</td> 
	            <td><input type="text" size="20" name="uf"  maxlength="2"  value="<?php if($resbd) echo $resbd->amt_uf; ?>" /><td>
				</tr>
				<tr>
                <td>Cep:</td>
	            <td><input type="text" size="20" name="cep" maxlength="9" value="<?php if($resbd) echo $resbd->amt_cep; ?>" /><td>
                <td>e-mail:</td> 
	            <td><input type="text" size="20" name="email"  maxlength="60"  value="<?php if($resbd) echo $resbd->amt_email; ?>" /><td>
				</tr>
				</table>  
					
                    <ul>
                        <li class="center"><input type="button" onclick="location.href='?m=amostradores&t=listar'" value="Cancelar" /><input type="submit" name="editar" value="Salvar Alterações" /></li>
                    </ul>
                </fieldset>
            </form>
        <?php
 
    break;


 	
	
	
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>